Bug 218879 - [PATCH] net-mgmt/nsca: nsca can exit due to ECONNABORTED
Summary: [PATCH] net-mgmt/nsca: nsca can exit due to ECONNABORTED
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Mark Felder
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2017-04-25 17:10 UTC by Mark Felder
Modified: 2017-11-15 21:19 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (mm)


Attachments
nsca patch (1.20 KB, patch)
2017-04-25 17:10 UTC, Mark Felder
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Felder freebsd_committer 2017-04-25 17:10:40 UTC
Created attachment 182084 [details]
nsca patch

Hello,

The following patch is sourced from this Github PR:

https://github.com/NagiosEnterprises/nsca/issues/20


After upgrading a very old monitoring server to modern FreeBSD+packages we were getting random crashes of nsca. After reviewing this bug report the patch was applied and it has solved our crashing. It's unclear if upstream intends to apply this and release an update any time soon.


Thanks!
Comment 1 commit-hook freebsd_committer 2017-11-01 11:49:36 UTC
A commit references this bug:

Author: feld
Date: Wed Nov  1 11:48:33 UTC 2017
New revision: 453279
URL: https://svnweb.freebsd.org/changeset/ports/453279

Log:
  net-mgmt/nsca: Add patch to prevent crashing on FreeBSD

  PR:		218879
  Approved by:	maintainer timeout
  MFH:		2017Q4

Changes:
  head/net-mgmt/nsca/Makefile
  head/net-mgmt/nsca/files/patch-src_nsca.c
Comment 2 commit-hook freebsd_committer 2017-11-01 11:49:38 UTC
A commit references this bug:

Author: feld
Date: Wed Nov  1 11:49:19 UTC 2017
New revision: 453280
URL: https://svnweb.freebsd.org/changeset/ports/453280

Log:
  MFH: r453279

  net-mgmt/nsca: Add patch to prevent crashing on FreeBSD

  PR:		218879
  Approved by:	maintainer timeout

Changes:
_U  branches/2017Q4/
  branches/2017Q4/net-mgmt/nsca/Makefile
  branches/2017Q4/net-mgmt/nsca/files/patch-src_nsca.c